Subject: Re: [bug#54457] [PATCH 5/9] gnu: Add conntrack-tools

From: Maxime Devos <[email-masked]>
Date: Sat, 19 Mar 2022 14:54:16 +0100

fesoj000 schreef op za 19-03-2022 om 01:47 [+0100]:
> +   (native-inputs
> +    (list bison flex libtirpc libnetfilter-conntrack libnetfilter-cttimeout
> +          libnetfilter-cthelper libnetfilter-queue libnfnetlink libmnl
> +          pkg-config))

Do all of these need to be 'native-inputs'?  I would expect the libnet*
stuff libraries to be run at run-time, so wouldn't they need to be
compiled for the --target architecture instead of --system, and hence,
'inputs'?

As a test, if you have a non-aarch64 system, you can run

  $ ./pre-inst-env guix build conntrack-tools --target=aarch64-linux-gnu

and see if it actually compiles.

Greetings,
Maxime.